org.apache.ignite.lang

## Interface IgniteCallable<V>

All Superinterfaces:
  Callable<V>, Serializable

All Known Implementing Classes:
  AtomicIntegerFactoryCallable, ConcurrentDequeFactoryCallable, ConcurrentHashSetFactoryCallable, ConcurrentMapFactoryCallable, IgfsClientAbstractCallable, IgfsClientAffinityCallable, IgfsClientDeleteCallable, IgfsClientExistsCallable, IgfsClientInfoCallable, IgfsClientListFilesCallable, IgfsClientListPathsCallable, IgfsClientMetaIdsForPathCallable, IgfsClientMetaInfoForPathCallable, IgfsClientMetaUnlockCallable, IgfsClientMkdirsCallable, IgfsClientRenameCallable, IgfsClientSetTimesCallable, IgfsClientSizeCallable, IgfsClientSummaryCallable, IgfsClientUpdateCallable, MapFactoryCallable, SetFactoryCallable

    public interface IgniteCallable<V>
    extends Callable<V>, Serializable

Grid-aware adapter for `Callable` implementations. It adds `Serializable` interface to `Callable` object. Use this class for executing distributed computations on the grid, like in `IgniteCompute.call(IgniteCallable)` method.

### Method Summary

### Methods inherited from interface java.util.concurrent.Callable

`call`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018